[ 
https://issues.apache.org/jira/browse/NETBEANS-1638?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16685013#comment-16685013
 ] 

Peter Nabbefeld commented on NETBEANS-1638:
-------------------------------------------

The patch does not seem to fix my problems, so probably there's also 
insufficient information about how to add OSGi modules. If OSGi dependencies 
work for someone, I'd be lucky to see an example pom file.

> OSGi support is broken
> ----------------------
>
>                 Key: NETBEANS-1638
>                 URL: https://issues.apache.org/jira/browse/NETBEANS-1638
>             Project: NetBeans
>          Issue Type: Bug
>          Components: platform - Module System
>    Affects Versions: 9.0, 10.0
>            Reporter: Peter Nabbefeld
>            Priority: Critical
>         Attachments: 
> Updated_felix_to_5_6_10_to_enable_osgi_bundles_for_java_9_and_later_.patch
>
>
> The included Felix jar (in module lib.felix) is outdated and does not work 
> with JDK > 9.
> Included version: 4.2.1
> Current version: 6.0.1
> For a short discussion of the problem see: 
> https://github.com/mojohaus/nbm-maven-plugin/issues/52



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists

Reply via email to